Home » 2005 » November (Page 6)

bogofilter

看到 這篇 bogofilter 亂談 才發現我好像欠某長輩 document 很久了 :p 查了一下,我是從六月中的時候開始用 ,七月中的時候把 的 Mail System 也加上 過濾。

我是裝 ,因為 只要 wordlist 超過 1xMB 就會寫不進去,不知道為什麼 :p 而且 的速度很快 (只比 慢:),所以就用 吧 :p

.procmailrc 裡面設定:

# bogofilter
:0fw
| /usr/local/bin/bogofilter -e -p -l

.muttrc 裡面設定:

macro index X "<pipe-entry>formail -s bogofilter -s\n<delete-message<" "mark as spam"
macro index Z "<pipe-entry>formail -s bogofilter -n\n" "mark as non-spam"

配合 過濾時 master.cf 的部分內容:


smtp inet n - n - - smtpd -o content_filter=bogofilter:
bogofilter unix - n n - - pipe flags=FR user=nobody:mail
argv=/usr/local/sbin/bogofilter.sh -f ${sender} -- ${recipient}

其中 /usr/local/sbin/bogofilter.sh 是從網路上抄來的,長這樣:

#!/bin/sh
/bin/rm /tmp/bogofilter-now
echo $$ > /tmp/bogofilter-now
CAT=/bin/cat
FILTER=/usr/local/bin/bogofilter
FILTER_DIR=/var/spool/bogofilter
SENDMAIL="/usr/sbin/sendmail -i"
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
cd $FILTER_DIR || { echo $FILTER_DIR does not exist; exit $EX_TEMPFAIL; }
# Clean up when done or when aborting.
trap "rm -f msg.$$" 0 1 2 3 15
# bogofilter returns: 0 for spam; 1 for non-spam; 2 for I/O or other errors.
$CAT | $FILTER -d $FILTER_DIR -p -e > msg.$$
$SENDMAIL "$@" < msg.$$

其中 /var/spool/bogofilter 裡必須有 wordlist.qdbm

詳細的說明晚點再寫。

另外提供我自己的 wordlist.qdbm 讓大家用好了,如果不想自己花兩三天 train 的話:http://files.gslin.org/bogofilter/wordlist.qdbm

RSA-640 因數分解

看到的新聞:RSA-640 Factored

310 7418240490 0437213507 5003588856 7930037346 0228427275 4572016194 8823206440 5180815045 5634682967 1723286782 4379162728 3803341547 1073108501 9195485290 0733772482 2783525742 3864540146 9173660247 7652346609
=
1634733 6458092538 4844313388 3865090859 8417836700 3309231218 1110852389 3331001045 0815121211 8167511579
*
1900871 2816648221 1312685157 3935413975 4718967899 6851549366 6638539088 0271038021 0449895719 1261465571

RSA-640 的因數分解跟上次 RSA-576 一樣是用 (GNFS),這次的分解用了八十顆 Opteron 2.2GHz,共花了五個月的時間 (這不是指 CPU time,而是實際的時間)。

原始的文章在這:We have factored RSA640 by GNFS.

FreeBSD 6.0

FreeBSD 6.0 一延再延,除了一開始 BETA 的時候不斷修正外,RC1 推出後大家等 RC2,拖了老半天,最後決定跳過 RC2,直接 release。但最後也是拖了好幾天才正式公告出來 (也就是 FreeBSD 6.0 這篇,cvs tag 打下去好幾天卻沒有動靜)。

正式的公告在 FreeBSD 6.0-RELEASE Announcement,除了 ftp 下載外,還可以透過 下載。這也是第一個官方正式提供 下載的版本:Index of ftp://ftp.freebsd.org/pub/FreeBSD/torrents/

(之前的版本屬於實驗性質:5.4 在 Index of /~kensmith/5.4-torrent、5.3 在 Index of /~scottl/5.3-torrent、4.11 在 Index of /~kensmith/4.11-torrent)

除了 /etc/rc.d/ 的大幅改變外,kernel 的幾項改變也很重要,像是 options SCHED_ULE 終於可以用了 (5.4 的 SCHED_ULE 還是不穩定),而 options PREEMPTION (for kernel threading) 也在 GENERIC 出現了。另外 options CPU_ENABLE_SSE 也拔掉了,改由系統判斷是否可以使用 (如果真的不想使用 SSE,可以用 options CPU_DISABLE_SSE 強制關閉)。

6.0 另外一個優點是穩定性變好了。之前 netnews 跑 5.4 遇到 UFS1 有問題必當,所以每次 panic 後一定要 fsck -y 從頭到尾掃過一次後才能開起來,或者 downgrade 到 5.3,但 5.3 fxp 的 link0 (download the microcode to the chip,man 4 fxp) 又不太穩定,偶而會當掉...

在 Library 的部分,常用到的 gethostby*、getnet*、getproto*、getserv* 都 thread-safe 了。

在 Application 的部分,portsnap 在系統內就有,不需要額外裝。pgrep 與 pkill 也內建進系統,可以用 pkill -U nobody 送 signal 15 給所有 nobody 的 process (以前是裝 來用)。最後一個,觀察很久的 WPA Supplicant 也進來了,所以...

PS:雖然官方宣稱 5.3 可以升級到 6.0,不過實際上在升級時會遇到 include 的問題,我是從 5.3 升到 5.4 再跳到 6.0 的。

FreeBSD 6.0 裡 mpt0 (SCSI card on vmware) 的地雷

的 SCSI device 是模擬成 LSILogic 1030 Ultra4 Adapter (在 上是 mpt0),不過在 6.0 下我發現抓的到 mpt0 但抓不到 da0,於是去找了一下 mailing list,看看有沒有人有類似的情況...

早在七月就有人 report 過了,只是一直沒有人去修,看起來不是很多人用 vmware 的 SCSI interface:[mpt] 6.0-BETA1 mpt driver not working under VMware ESX 2.5.1

不知道有沒有機會修好咧...

Google 推廣 Firefox 的方法?

上看到的消息:Google Paying for Firefox Installs,在 How much will I earn from referrals? 這頁這樣寫:

When a user you’ve referred to Firefox plus Google Toolbar runs Firefox for the first time, you’ll receive up to $1 in your account, depending on the user’s location.

這種推廣的方式 (裝 ),感覺怪怪的... 有些人也覺得「會不會是我會錯意」:Bloggers bundle Firefox Toolbar

另外一則新聞是前陣子 佔有率超過 10% 了 (我懶得找新聞連結了),Congratulation!(希望不要一直發 Security Patch :p)

Mozilla Firefox 1.5RC1 與 RC2 的消息

看到 1.5RC1 and 1.5RC2 Schedules,依照估計會在 11/11 (但是後面有一句 "depending on the feedback from RC1"),所以... :p

1.5 用到現在很明顯可以感覺到比 1.0 快不少,不過可以用的 extension 就少很多了,還好 Adblock、Google Pagerank Status、Undoclosetab 這幾個有 patch 或是可以用硬幹的方式在 1.5 上跑...

PS:之前沒發現可以用 Nightly Tester Tools 覆寫 Undoclosetab 的 maxVersion 時天天幹到翻,因為我常常不小心按到 Ctrl-W,然後就開始罵「!@#$%^」...

Archives